Bug 784760 - Installer fails to configure selected NTP settings
Installer fails to configure selected NTP settings
Status: RESOLVED FIXED
: 783864 (view as bug list)
Classification: openSUSE
Product: openSUSE 12.3
Classification: openSUSE
Component: Installation
RC 1
x86-64 SUSE Other
: P3 - Medium : Major (vote)
: Final
Assigned To: Reinhard Max
Jiri Srain
maint:running:62642:low maint:release...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 20:12 UTC by macias -
Modified: 2016-08-18 15:53 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
y2logs after a live cd install (473.18 KB, application/x-compressed-tar)
2013-02-18 04:06 UTC, Michael Catanzaro
Details
y2log of openSUSE 12.2 NET installation (379.92 KB, application/x-gzip)
2013-02-19 17:51 UTC, Marc Schütz
Details
y2log of 12.3 RC1 DVD installation (897.29 KB, application/x-gzip)
2013-02-21 22:36 UTC, Michael Catanzaro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description macias - 2012-10-11 20:12:35 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:14.0) Gecko/20100101 Firefox/14.0.1

I have OS 12.2 installed (properly) and also Windows 7 (quick & dirty, I am still in progress of installing and configuring things -- one thing which is not configured is my timezone, thus I see some weird time).

Reproducible: Always

Steps to Reproduce:
1. start my Windows 7
2. observe time changes to incorrect one
3. restart to OS 12.2
4. the time will remain as set by Windows 7
Actual Results:  
NTP client should automatically after network connection established, update the time. It does not.

Manually NTP update works and sets the time to correct one.

Expected Results:  
Updating time by NTP client to correct one.
Comment 1 Marc Schütz 2012-11-20 09:20:35 UTC
Do you have an "undisciplined local clock" configured, i.e. is there a line like "server 127.127.1.0" (without # at the beginning) in your /etc/ntp.conf ?

If that's the case, it usually takes a long time (or forever?) until ntpd synchronizes starts preferring the external clock source over the hwclock.

I believe enabling the local clock is still the default in openSUSE 12.2. As both [1] and [2] below do not recommend this for client-only installations (i.e. most installations except the ones that have other NTP clients themselves), I suggest disabling it by default (and maybe putting a nice check-box into the YaST module to make it easily configurable).

[1] http://support.ntp.org/bin/view/Support/UndisciplinedLocalClock
[2] http://www.eecis.udel.edu/~mills/ntp/html/drivers/driver1.html
Comment 2 macias - 2012-11-20 16:51:52 UTC
> is there a line like "server 127.127.1.0" (without # at the beginning) in your 
/etc/ntp.conf ?

Yes.

> As both [1] and [2] below do not recommend this for client-only installations

Please note, for regular user it is all magic. For regular user there should be two options -- sync the clock or not. I chose sync so I expect to have clock synced (pretty obvious).

So if somewhere in the background Yast decided to put/remove extra option, and change something for whatever reason I consider it as a bug, because I didn't do anything explicitly saying I have undisciplined clock or any other kind.
Comment 3 Marc Schütz 2012-11-21 09:54:49 UTC
I agree. Just to clarify, my suggestion was for openSUSE to change the default; I was not implying you misconfigured anything. But as a workaround, you can remove the entry for the undisciplined clock (it can be done via YaST Date/Time module).
Comment 4 Michael Catanzaro 2012-12-27 06:37:41 UTC
*** Bug 783864 has been marked as a duplicate of this bug. ***
Comment 5 Michael Catanzaro 2013-02-11 00:13:40 UTC
Reassigned to Installation rather than Basesystem and upped the upped the severity and priority. We should either fix it before 12.3, or if that's not possible, completely remove NTP configuration from the live CD installer as a fallback -- it's better to have no configuration at all than to pretend that NTP has been configured when it hasn't been. (But I hope it can be fixed, since it works perfectly if you install using a DVD.)

To clarify, the problem is that on live CD installs, NTP is configured to use "undisciplined local clock" rather than a public NTP server, and the server that is selected in the installer (typically bigben.cac.washington.edu) is just ignored.
Comment 6 Michael Catanzaro 2013-02-18 04:06:39 UTC
Created attachment 525009 [details]
y2logs after a live cd install
Comment 7 Marc Schütz 2013-02-18 17:12:53 UTC
BTW, are you sure this problem is restricted to Live CD installs? At least on openSUSE 12.2 and before, this also happened with normal installs. Don't know about Factory, though.
Comment 8 Michael Catanzaro 2013-02-18 22:54:00 UTC
In my experience, this does NOT occur after a DVD install with the 12.2 DVD; i.e. NTP is properly set to use the selected time server rather than the "undisciplined local clock." (Unfortunately I don't have y2logs for this scenario.)
Comment 9 Marc Schütz 2013-02-19 17:51:30 UTC
Created attachment 525315 [details]
y2log of openSUSE 12.2 NET installation
Comment 10 Marc Schütz 2013-02-19 17:53:55 UTC
I've attached a y2log file of a NET installation (12.2, not factory), where ntp.conf contains an undisciplined clock. Maybe NET and LiveCD installations are similar. I don't want to download 5GB just to test this, maybe someone has a DVD at hand?
Comment 11 Michael Catanzaro 2013-02-21 16:50:11 UTC
For some reason I'm getting 10 MBps down right now with a capital 'B', instead of my usual 1.5 Mbps. So I think I'll test a RC1 DVD install later today. I'm expecting there to be no (NTP) problem though as I don't remember any such issues with the 12.2. DVD.
Comment 12 Michael Catanzaro 2013-02-21 22:36:27 UTC
Created attachment 525867 [details]
y2log of 12.3 RC1 DVD installation

Marc, you're right -- the 12.3 DVD configures undisciplined local clock as well. =/  (I could have sworn the 12.2 DVD did it properly....)

I notice a couple of differences from the live CD install, even though I selected the same settings:

* Unlike the live CD install, bigben.cac.washington.edu is set up as a synchronization type (but below undisciplined local clock). After a live CD install it is not present at all.
* The NTP daemon is NOT set to run in a chroot jail, as it is after a live CD install.

I'll up the priority since this affects all installs and cannot be fixed with an update.
Comment 13 Michal Hrusecky 2013-02-22 09:02:35 UTC
Fix hopefully sent via OBS as sr#156062
Comment 14 Bernhard Wiedemann 2013-02-25 16:00:07 UTC
This is an autogenerated message for OBS integration:
This bug (784760) was mentioned in
https://build.opensuse.org/request/show/156338 Factory / ntp
Comment 15 Stephan Kulow 2013-03-01 08:04:27 UTC
.
Comment 16 Michael Catanzaro 2013-03-27 15:43:23 UTC
Hm it's halfway fixed, undisciplined local clock is no longer configured but still no NTP server is configured.

Sorry for not checking this way earlier.
Comment 17 Bernhard Wiedemann 2013-06-16 10:18:22 UTC
normally, /etc/init.d/ntp should set the time once,
but apparently it does not
because /etc/sysconfig/ntp has NTPD_FORCE_SYNC_ON_STARTUP="no"


Steps To Reproduce:
date --set "11:12:34"
rcntp restart

one thing that helps is to add iburst at the end of a server entry in ntp.conf


also: did you tell yast2 timezone that your local clock is not in UTC?
Unfortunately MS Windows does not have support for UTC in the real time clock.
Comment 18 C. Holm 2013-06-26 06:49:21 UTC
(Sorry if this does not really belong here.)

Possible workaround: Fix your Windows 7 to use UTC, this way the clock won't change between cross-distro boots: http://crashmag.net/configuring-windows-7-support-for-utc-bios-time
Comment 21 Swamp Workflow Management 2016-04-28 17:09:16 UTC
SUSE-SU-2016:1175-1: An update that solves 12 vulnerabilities and has 8 fixes is now available.

Category: security (important)
Bug References: 782060,784760,916617,951559,951629,956773,962318,962784,962802,962960,962966,962970,962988,962994,962995,962997,963000,963002,975496,975981
CVE References: CVE-2015-5300,CVE-2015-7973,CVE-2015-7974,CVE-2015-7975,CVE-2015-7976,CVE-2015-7977,CVE-2015-7978,CVE-2015-7979,CVE-2015-8138,CVE-2015-8139,CVE-2015-8140,CVE-2015-8158
Sources used:
SUSE Linux Enterprise Server 11-SP4 (src):    ntp-4.2.8p6-8.2
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    ntp-4.2.8p6-8.2
Comment 22 Swamp Workflow Management 2016-05-17 13:09:43 UTC
SUSE-SU-2016:1311-1: An update that solves 30 vulnerabilities and has 6 fixes is now available.

Category: security (important)
Bug References: 782060,784760,905885,910063,916617,920183,920238,926510,936327,937837,942441,942587,943216,943218,944300,946386,951351,951559,951608,951629,954982,956773,962318,962784,962802,962960,962966,962970,962988,962994,962995,962997,963000,963002,975496,975981
CVE References: CVE-2015-5194,CVE-2015-5219,CVE-2015-5300,CVE-2015-7691,CVE-2015-7692,CVE-2015-7701,CVE-2015-7702,CVE-2015-7703,CVE-2015-7704,CVE-2015-7705,CVE-2015-7848,CVE-2015-7849,CVE-2015-7850,CVE-2015-7851,CVE-2015-7852,CVE-2015-7853,CVE-2015-7854,CVE-2015-7855,CVE-2015-7871,CVE-2015-7973,CVE-2015-7974,CVE-2015-7975,CVE-2015-7976,CVE-2015-7977,CVE-2015-7978,CVE-2015-7979,CVE-2015-8138,CVE-2015-8139,CVE-2015-8140,CVE-2015-8158
Sources used:
SUSE OpenStack Cloud 5 (src):    ntp-4.2.8p6-41.1
SUSE Manager Proxy 2.1 (src):    ntp-4.2.8p6-41.1
SUSE Manager 2.1 (src):    ntp-4.2.8p6-41.1
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    ntp-4.2.8p6-41.1
SUSE Linux Enterprise Server 11-SP2-LTSS (src):    ntp-4.2.8p6-41.1, yast2-ntp-client-2.17.14.1-1.12.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    ntp-4.2.8p6-41.1
SUSE Linux Enterprise Debuginfo 11-SP2 (src):    ntp-4.2.8p6-41.1
Comment 23 Swamp Workflow Management 2016-06-14 15:40:11 UTC
An update workflow for this issue was started.
This issue was rated as important.
Please submit fixed packages until 2016-06-21.
When done, reassign the bug to security-team@suse.de.
https://swamp.suse.de/webswamp/wf/62822
Comment 24 Reinhard Max 2016-06-15 11:59:09 UTC
Done.
Comment 25 Swamp Workflow Management 2016-07-29 17:09:10 UTC
SUSE-SU-2016:1912-1: An update that solves 43 vulnerabilities and has 9 fixes is now available.

Category: security (important)
Bug References: 782060,784760,905885,910063,916617,920183,920238,920893,920895,920905,924202,926510,936327,943218,943221,944300,951351,951559,951629,952611,957226,962318,962784,962802,962960,962966,962970,962988,962995,963000,963002,975496,977450,977451,977452,977455,977457,977458,977459,977461,977464,979302,981422,982056,982064,982065,982066,982067,982068,988417,988558,988565
CVE References: CVE-2015-1798,CVE-2015-1799,CVE-2015-5194,CVE-2015-5300,CVE-2015-7691,CVE-2015-7692,CVE-2015-7701,CVE-2015-7702,CVE-2015-7703,CVE-2015-7704,CVE-2015-7705,CVE-2015-7848,CVE-2015-7849,CVE-2015-7850,CVE-2015-7851,CVE-2015-7852,CVE-2015-7853,CVE-2015-7854,CVE-2015-7855,CVE-2015-7871,CVE-2015-7973,CVE-2015-7974,CVE-2015-7975,CVE-2015-7976,CVE-2015-7977,CVE-2015-7978,CVE-2015-7979,CVE-2015-8138,CVE-2015-8158,CVE-2016-1547,CVE-2016-1548,CVE-2016-1549,CVE-2016-1550,CVE-2016-1551,CVE-2016-2516,CVE-2016-2517,CVE-2016-2518,CVE-2016-2519,CVE-2016-4953,CVE-2016-4954,CVE-2016-4955,CVE-2016-4956,CVE-2016-4957
Sources used:
SUSE Linux Enterprise Server 10 SP4 LTSS (src):    ntp-4.2.8p8-0.7.1